Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.clipper
Interface ClipperConstants

    public interface ClipperConstants

Constants used by the web clipping portlet.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Field Summary
`static String` | `ALLOWED_URL_REGEX_PREFERENCE` Preference key to store a regex to use to match urls.
`static String` | `AUTHENTICATION_TYPE` Preference key for the type of authentication that is used.
`static String` | `BASIC_AUTHENTICATION_VALUE` Value for `AUTHENTICATION_TYPE` to denote that basic http authentication is used.
`static String` | `CLIP_CUSTOM_CLASS_PREFERENCE` Preference key for defining the clip strategy to be a custom implementation of IClipStrategy.
`static String` | `CLIP_END_REGEX_PREFERENCE` Preference key for defining the end text that marks the clip.
`static String` | `CLIP_START_REGEX_PREFERENCE` Preference key for defining the start text that marks the clip.
`static String` | `CLIP_XPATH_PREFERENCE` Preference key for defining the clip strategy to be an xpath expression.
`static String` | `FORM_AUTHENTICATION_VALUE` Value for `AUTHENTICATION_TYPE` to denote that form login authentication is used.
`static String` | `GROUP_PASSWORD` Preference key to store the password that will be used for all users.
`static String` | `GROUP_USERNAME` Preference key to store a login name that will be used by all users.
`static String` | `LOGIN_FORM_EXTRA_PARAMS` Preference key to store extra parameters for the password on the login form.
`static String` | `LOGIN_FORM_METHOD` Preference key to store the form method of the login form.
`static String` | `LOGIN_FORM_PASSWORD_PARAM` Preference key to store the parameter name for the password on the login form.
`static String` | `LOGIN_FORM_URL` Preference key to store the action URL of the login form.
`static String` | `LOGIN_FORM_USERNAME_PARAM` Preference key to store the parameter name for the username on the login form.
`static String` | `PERSONAL_PASSWORD` Preference key to store the password for an individual.
`static String` | `PERSONAL_USERNAME` Preference key to store the login name for an individual.
`static String` | `PROXY_RESOURCE_URLS_PREFERENCE` Preference key to store whether resource urls should be rewritten to pass through the WLP server, or should be left unmodified.
`static String` | `REMOTE_URL_PREFERENCE` Preference key for the remote url, i.e.
`static String` | `URL_FILTER_CLASS_PREFERENCE` Preference key to register a custom IClipperUrlFilter.

Field Detail

### CLIP_CUSTOM_CLASS_PREFERENCE

    static final String CLIP_CUSTOM_CLASS_PREFERENCE

  Preference key for defining the clip strategy to be a custom implementation of IClipStrategy. The value should be a fully-qualified class name of an implementation of IClipStrategy that has a no-argument constructor.

  See Also
    `for details on how this preference works.`, Constants Summary

### REMOTE_URL_PREFERENCE

    static final String REMOTE_URL_PREFERENCE

  Preference key for the remote url, i.e. the base url of the site to be clipped.

  See Also
    Constants Summary

### CLIP_XPATH_PREFERENCE

    static final String CLIP_XPATH_PREFERENCE

  Preference key for defining the clip strategy to be an xpath expression.

  See Also
    `for details on how this preference works.`, Constants Summary

### CLIP_START_REGEX_PREFERENCE

    static final String CLIP_START_REGEX_PREFERENCE

  Preference key for defining the start text that marks the clip. The `CLIP_START_REGEX_PREFERENCE` preference must also be defined for the system to apply this preference.

  See Also
    `for details on how this preference works.`, Constants Summary

### CLIP_END_REGEX_PREFERENCE

    static final String CLIP_END_REGEX_PREFERENCE

  Preference key for defining the end text that marks the clip. The `CLIP_END_REGEX_PREFERENCE` preference must also be defined for the system to apply this preference.

  See Also
    `for details on how this preference works.`, Constants Summary

### AUTHENTICATION_TYPE

    static final String AUTHENTICATION_TYPE

  Preference key for the type of authentication that is used. Possible values are `
  BasicHTTP
  Form
  ` If either of these values is specified, the system will use the personal or group username/password preferences for credentials, depending on which are specified. If the value is null, or is different from the above possibilities, then no authentication is performed.

  See Also
    Constants Summary

### BASIC_AUTHENTICATION_VALUE

    static final String BASIC_AUTHENTICATION_VALUE

  Value for `AUTHENTICATION_TYPE` to denote that basic http authentication is used.

  See Also
    Constants Summary

### FORM_AUTHENTICATION_VALUE

    static final String FORM_AUTHENTICATION_VALUE

  Value for `AUTHENTICATION_TYPE` to denote that form login authentication is used.

  See Also
    Constants Summary

### PERSONAL_USERNAME

    static final String PERSONAL_USERNAME

  Preference key to store the login name for an individual. This preference is ignored if the preference `GROUP_USERNAME` is set.

  See Also
    Constants Summary

### PERSONAL_PASSWORD

    static final String PERSONAL_PASSWORD

  Preference key to store the password for an individual. This preference is ignored if the preference `GROUP_USERNAME` is set.

  See Also
    Constants Summary

### GROUP_USERNAME

    static final String GROUP_USERNAME

  Preference key to store a login name that will be used by all users.

  See Also
    Constants Summary

### GROUP_PASSWORD

    static final String GROUP_PASSWORD

  Preference key to store the password that will be used for all users.

  See Also
    Constants Summary

### LOGIN_FORM_URL

    static final String LOGIN_FORM_URL

  Preference key to store the action URL of the login form. Only used if AUTHENTICATION_TYPE is 'Form'.

  See Also
    Constants Summary

### LOGIN_FORM_METHOD

    static final String LOGIN_FORM_METHOD

  Preference key to store the form method of the login form. Only used if AUTHENTICATION_TYPE is 'Form'.

  See Also
    Constants Summary

### LOGIN_FORM_USERNAME_PARAM

    static final String LOGIN_FORM_USERNAME_PARAM

  Preference key to store the parameter name for the username on the login form. Only used if AUTHENTICATION_TYPE is 'Form'.

  See Also
    Constants Summary

### LOGIN_FORM_PASSWORD_PARAM

    static final String LOGIN_FORM_PASSWORD_PARAM

  Preference key to store the parameter name for the password on the login form. Only used if AUTHENTICATION_TYPE is 'Form'.

  See Also
    Constants Summary

### LOGIN_FORM_EXTRA_PARAMS

    static final String LOGIN_FORM_EXTRA_PARAMS

  Preference key to store extra parameters for the password on the login form. Only used if AUTHENTICATION_TYPE is 'Form'. The value of this preference is simply appended onto the query string (along with a leading '&'), so it should be escaped if necessary. Example: portlet.setPreference(LOGIN_FORM_EXTRA_PARAMS, "name1=value2&name3=value4")

  See Also
    Constants Summary

### URL_FILTER_CLASS_PREFERENCE

    static final String URL_FILTER_CLASS_PREFERENCE

  Preference key to register a custom IClipperUrlFilter. A url filter is used to restrict the urls that a clipper portlet can see; it also lets you define whether resources should be proxied or not.

  See Also
    `IClipperUrlFilter`, Constants Summary

### ALLOWED_URL_REGEX_PREFERENCE

    static final String ALLOWED_URL_REGEX_PREFERENCE

  Preference key to store a regex to use to match urls. This is a multi-valued preference. If this preference is set, and none of the values match a given url, then links pointing to the url are returned as empty, and access to that url through the clipper proxies is blocked. If the preference URL_FILTER_CLASS_PREFERENCE is set, this field is ignored.

  See Also
    Constants Summary

### PROXY_RESOURCE_URLS_PREFERENCE

    static final String PROXY_RESOURCE_URLS_PREFERENCE

  Preference key to store whether resource urls should be rewritten to pass through the WLP server, or should be left unmodified. If the value of this preference is 'true', or the preference is not set, then resource urls will be rewritten. In general, it's safer, but less efficient to proxy resources. If you don't proxy resources, you run the risk that they will be inaccessible behind a firewall, since the browser does not have direct access to cookies generated by the clipped site. If the preference URL_FILTER_CLASS_PREFERENCE is set, this field is ignored.

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.